replicaCount: 5
application:
  environments:
    - name: APP_NAME
      value: "Golang Template Project"
    - name: APP_DEBUG
      value: "true"
    - name: APP_ENV
      value: "dev"
    - name: SENTRY_DSN
      value: "https://836769197759433eaec814a188c3e4e3@sentry.iilab.ru/14"
    - name: WALLET_PASSES_TOKEN
      value: "03ab43e91d9341a79eb3f0d442818469"
    - name: JAEGER_ENDPOINT
      value: "http://jaeger-collector.jaeger:14268"
hpa:
  enabled: true
  minReplicas: 5
  maxReplicas: 20
  targetCPUUtilizationPercentage: 50
rabbitmq:
  enabled: true
  replicaCount: 3
  persistentVolume:
    enabled: true
  podAntiAffinityPreset: "hard"
  extraSecrets:
    load-definition:
      load_definition.json: |-
        {
          "policies": [
            {
              "vhost":"/",
              "name": "HA",
              "pattern": ".*",
              "apply-to":"all",
              "definition":{"ha-mode": "all"},
              "priority":0
            }
          ],
          "vhosts": [
            {
              "name": "/"
            }
          ],
          "users": [
            {
              "name" : "user",
              "password" : "rabbitmq",
              "tags" : "administrator"
            }
          ],
          "permissions": [
            {
              "user": "user",
              "vhost": "/",
              "configure": ".*",
              "write": ".*",
              "read": ".*"
            }
          ]
        }
  loadDefinition:
    enabled: true
    existingSecret: load-definition
  extraConfiguration: |
    load_definitions = /app/load_definition.json
redis:
  enabled: false
